=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2011-02-21 21:45:55 +0000
+++ client/drizzleslap.cc	2011-06-30 07:03:08 +0000
@@ -731,8 +731,7 @@
     option_cleanup(query_options);
 
 #ifdef HAVE_SMEM
-    if (shared_memory_base_name)
-      free(shared_memory_base_name);
+    free(shared_memory_base_name);
 #endif
 
   }

=== modified file 'client/statement.h'
--- client/statement.h	2010-10-15 02:07:26 +0000
+++ client/statement.h	2011-06-30 07:03:08 +0000
@@ -62,8 +62,7 @@
 
   ~Statement()
   {
-    if (string)
-      free(string);
+    free(string);
   }
    
   char *getString() const

=== modified file 'drizzled/item/cmpfunc.cc'
--- drizzled/item/cmpfunc.cc	2011-06-27 14:23:35 +0000
+++ drizzled/item/cmpfunc.cc	2011-06-30 07:03:08 +0000
@@ -3182,8 +3182,7 @@
 
 in_row::~in_row()
 {
-  if (base)
-    delete [] (cmp_item_row*) base;
+  delete [] (cmp_item_row*) base;
 }
 
 unsigned char *in_row::get_value(Item *item)

=== modified file 'drizzled/item/sum.cc'
--- drizzled/item/sum.cc	2011-06-27 14:23:35 +0000
+++ drizzled/item/sum.cc	2011-06-30 07:03:08 +0000
@@ -3061,11 +3061,10 @@
         delete_tree(tree);
         tree= 0;
       }
-      if (unique_filter)
-      {
-        delete unique_filter;
-        unique_filter= NULL;
-      }
+
+      delete unique_filter;
+      unique_filter= NULL;
+
       if (warning)
       {
         char warn_buff[DRIZZLE_ERRMSG_SIZE];

=== modified file 'drizzled/join.cc'
--- drizzled/join.cc	2011-06-27 14:23:35 +0000
+++ drizzled/join.cc	2011-06-30 07:03:08 +0000
@@ -2806,11 +2806,8 @@
 
   if (join_tab->use_quick == 2)
   {
-    if (join_tab->select->quick)
-    {					/* Used quick select last. reset it */
-      delete join_tab->select->quick;
-      join_tab->select->quick=0;
-    }
+    delete join_tab->select->quick;
+    join_tab->select->quick= 0;
   }
   /* read through all records */
   if ((error=join_init_read_record(join_tab)))

=== modified file 'drizzled/optimizer/range.cc'
--- drizzled/optimizer/range.cc	2011-06-27 15:10:59 +0000
+++ drizzled/optimizer/range.cc	2011-06-30 07:03:08 +0000
@@ -385,11 +385,9 @@
 
 void optimizer::SqlSelect::cleanup()
 {
-  if (quick)
-  {
-    delete quick;
-    quick= NULL;
-  }
+
+  delete quick;
+  quick= NULL;
 
   if (free_cond)
   {
@@ -640,11 +638,10 @@
 {
   uint32_t idx;
   double scan_time;
-  if (quick)
-  {
-    delete quick;
-    quick= NULL;
-  }
+
+  delete quick;
+  quick= NULL;
+
   needed_reg.reset();
   quick_keys.reset();
   if (keys_to_use.none())
@@ -859,12 +856,8 @@
       records= best_trp->records;
       if (! (quick= best_trp->make_quick(&param, true)) || quick->init())
       {
-        /* quick can already be free here */
-        if (quick)
-        {
-          delete quick;
-          quick= NULL;
-        }
+        delete quick;
+        quick= NULL;
       }
     }
 

=== modified file 'examples/client.cc'
--- examples/client.cc	2011-03-22 18:39:54 +0000
+++ examples/client.cc	2011-06-30 07:03:08 +0000
@@ -256,8 +256,7 @@
 
   drizzle_free(&(client.drizzle));
 
-  if (client.client_con_list != NULL)
-    free(client.client_con_list);
+  free(client.client_con_list);
 
   return 0;
 }

=== modified file 'examples/server.cc'
--- examples/server.cc	2011-03-22 18:39:54 +0000
+++ examples/server.cc	2011-06-30 07:03:08 +0000
@@ -232,15 +232,13 @@
   while (1)
   {
     drizzle_result_free(result);
-    if (data != NULL)
-      free(data);
+    free(data);
 
     data= (uint8_t *)drizzle_con_command_buffer(con, &command, &total, &ret);
     if (ret == DRIZZLE_RETURN_LOST_CONNECTION ||
         (ret == DRIZZLE_RETURN_OK && command == DRIZZLE_COMMAND_QUIT))
     {
-      if (data != NULL)
-        free(data);
+      free(data);
       return;
     }
     DRIZZLE_RETURN_CHECK(ret, "drizzle_con_command_buffer", drizzle)

=== modified file 'examples/sqlite_server.cc'
--- examples/sqlite_server.cc	2011-03-22 18:39:54 +0000
+++ examples/sqlite_server.cc	2011-06-30 07:03:08 +0000
@@ -258,15 +258,13 @@
   while (1)
   {
     drizzle_result_free(&(server->result));
-    if (data != NULL)
-      free(data);
+    free(data);
 
     data= (uint8_t *)drizzle_con_command_buffer(&(server->con), &command, &total, &ret);
     if (ret == DRIZZLE_RETURN_LOST_CONNECTION ||
         (ret == DRIZZLE_RETURN_OK && command == DRIZZLE_COMMAND_QUIT))
     {
-      if (data != NULL)
-        free(data);
+      free(data);
       return;
     }
     DRIZZLE_RETURN_CHECK(ret, "drizzle_con_command_buffer", &(server->drizzle))

=== modified file 'libdrizzle-1.0/libdrizzle/drizzle.c'
--- libdrizzle-1.0/libdrizzle/drizzle.c	2011-05-06 08:52:36 +0000
+++ libdrizzle-1.0/libdrizzle/drizzle.c	2011-06-30 07:03:08 +0000
@@ -175,8 +175,7 @@
     assert(drizzle->con_list == NULL);
   }
 
-  if (drizzle->pfds != NULL)
-    free(drizzle->pfds);
+  free(drizzle->pfds);
 
   if (drizzle->options & DRIZZLE_ALLOCATED)
     free(drizzle);

=== modified file 'libdrizzle-1.0/libdrizzle/field.c'
--- libdrizzle-1.0/libdrizzle/field.c	2010-12-12 11:52:00 +0000
+++ libdrizzle-1.0/libdrizzle/field.c	2011-06-30 07:03:08 +0000
@@ -122,8 +122,7 @@
 
 void drizzle_field_free(drizzle_field_t field)
 {
-  if (field != NULL)
-    free(field);
+  free(field);
 }
 
 /*

=== modified file 'libdrizzle-1.0/libdrizzle/result.c'
--- libdrizzle-1.0/libdrizzle/result.c	2011-05-06 08:52:36 +0000
+++ libdrizzle-1.0/libdrizzle/result.c	2011-06-30 07:03:08 +0000
@@ -106,8 +106,7 @@
   for (column= result->column_list; column != NULL; column= result->column_list)
     drizzle_column_free(column);
 
-  if (result->column_buffer != NULL)
-    free(result->column_buffer);
+  free(result->column_buffer);
 
   if (result->options & DRIZZLE_RESULT_BUFFER_ROW)
   {

=== modified file 'libdrizzle-2.0/libdrizzle/drizzle.cc'
--- libdrizzle-2.0/libdrizzle/drizzle.cc	2011-06-16 14:52:39 +0000
+++ libdrizzle-2.0/libdrizzle/drizzle.cc	2011-06-30 07:03:08 +0000
@@ -170,8 +170,7 @@
     assert(drizzle->query_list == NULL);
   }
 
-  if (drizzle->pfds != NULL)
-    free(drizzle->pfds);
+  free(drizzle->pfds);
 
   if (drizzle->options & DRIZZLE_ALLOCATED)
     delete drizzle;

=== modified file 'libdrizzle-2.0/libdrizzle/field.cc'
--- libdrizzle-2.0/libdrizzle/field.cc	2011-06-14 21:15:09 +0000
+++ libdrizzle-2.0/libdrizzle/field.cc	2011-06-30 07:03:08 +0000
@@ -116,8 +116,7 @@
 
 void drizzle_field_free(drizzle_field_t field)
 {
-  if (field != NULL)
-    delete[] field;
+  delete[] field;
 }
 
 /*

=== modified file 'libdrizzle-2.0/libdrizzle/result.cc'
--- libdrizzle-2.0/libdrizzle/result.cc	2011-06-14 21:15:09 +0000
+++ libdrizzle-2.0/libdrizzle/result.cc	2011-06-30 07:03:08 +0000
@@ -131,10 +131,7 @@
   for (column= result->column_list; column != NULL; column= result->column_list)
     drizzle_column_free(column);
 
-  if (result->column_buffer != NULL)
-  {
-    delete[] result->column_buffer;
-  }
+  delete[] result->column_buffer;
 
   if (result->options & DRIZZLE_RESULT_BUFFER_ROW)
   {

=== modified file 'plugin/auth_pam/auth_pam.cc'
--- plugin/auth_pam/auth_pam.cc	2011-06-14 21:15:09 +0000
+++ plugin/auth_pam/auth_pam.cc	2011-06-30 07:03:08 +0000
@@ -86,8 +86,7 @@
       response[x].resp = strdup(userinfo->password);
       break;
     default:
-      if(response)
-        free(response);
+      free(response);
       return PAM_CONV_ERR;
     }
   }

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2011-06-21 15:43:17 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2011-06-30 07:03:08 +0000
@@ -385,8 +385,7 @@
         // Throw here?
       }
       srv_free_paths_and_sizes();
-      if (internal_innobase_data_file_path)
-        free(internal_innobase_data_file_path);
+      free(internal_innobase_data_file_path);
     }
     
     /* These get strdup'd from vm variables */
@@ -2252,8 +2251,7 @@
 
 mem_free_and_error:
     srv_free_paths_and_sizes();
-    if (internal_innobase_data_file_path)
-      free(internal_innobase_data_file_path);
+    free(internal_innobase_data_file_path);
     goto error;
   }
 
@@ -7968,9 +7966,7 @@
 /*======================================*/
   char* str)  /*!< in, own: create info string to free */
 {
-  if (str) {
-    free(str);
-  }
+  free(str);
 }
 
 /*******************************************************************//**

=== modified file 'plugin/json_server/json/json_internalarray.inl'
--- plugin/json_server/json/json_internalarray.inl	2011-05-02 21:41:20 +0000
+++ plugin/json_server/json/json_internalarray.inl	2011-06-30 07:03:08 +0000
@@ -93,8 +93,7 @@
    virtual void releaseArrayPageIndex( Value **indexes, 
                                        ValueInternalArray::PageIndex indexCount )
    {
-      if ( indexes )
-         free( indexes );
+      free( indexes );
    }
 
    virtual Value *allocateArrayPage()
@@ -104,8 +103,7 @@
 
    virtual void releaseArrayPage( Value *value )
    {
-      if ( value )
-         free( value );
+      free( value );
    }
 };
 
@@ -157,8 +155,7 @@
    virtual void releaseArrayPageIndex( Value **indexes, 
                                        ValueInternalArray::PageIndex indexCount )
    {
-      if ( indexes )
-         free( indexes );
+      free( indexes );
    }
 
    virtual Value *allocateArrayPage()

=== modified file 'plugin/json_server/json/json_value.cpp'
--- plugin/json_server/json/json_value.cpp	2011-05-02 21:41:20 +0000
+++ plugin/json_server/json/json_value.cpp	2011-06-30 07:03:08 +0000
@@ -131,8 +131,7 @@
 
    virtual void releaseStringValue( char *value )
    {
-      if ( value )
-         free( value );
+     free( value );
    }
 };
 
@@ -541,8 +540,7 @@
       JSON_ASSERT_UNREACHABLE;
    }
 
-   if ( comments_ )
-      delete[] comments_;
+   delete[] comments_;
 }
 
 Value &

=== modified file 'plugin/memory/hp_create.cc'
--- plugin/memory/hp_create.cc	2011-03-18 04:34:59 +0000
+++ plugin/memory/hp_create.cc	2011-06-30 07:03:08 +0000
@@ -241,12 +241,11 @@
   return(0);
 
 err:
-  if (share && share->keydef && share->keydef->seg)
-    delete [] share->keydef->seg;
   if (share && share->keydef)
+    delete [] share->keydef->seg;
+  if (share)
     delete [] share->keydef;
-  if (share)
-    delete share;
+  delete share;
   if (not create_info->internal_table)
     THR_LOCK_heap.unlock();
   return(1);

=== modified file 'plugin/myisam/mi_check.cc'
--- plugin/myisam/mi_check.cc	2011-03-29 20:45:43 +0000
+++ plugin/myisam/mi_check.cc	2011-06-30 07:03:08 +0000
@@ -1615,11 +1615,9 @@
 
   void * rec_buff_ptr= NULL;
   rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.rec_buff);
-  if (rec_buff_ptr != NULL)
-    free(rec_buff_ptr);
+  free(rec_buff_ptr);
   rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.record);
-  if (rec_buff_ptr != NULL)
-    free(rec_buff_ptr);
+  free(rec_buff_ptr);
   rec_buff_ptr= NULL;
 
   free(sort_info.buff);
@@ -2302,11 +2300,9 @@
 
   void * rec_buff_ptr= NULL;
   rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.rec_buff);
-  if (rec_buff_ptr != NULL)
-    free(rec_buff_ptr);
+  free(rec_buff_ptr);
   rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.record);
-  if (rec_buff_ptr != NULL)
-    free(rec_buff_ptr);
+  free(rec_buff_ptr);
   rec_buff_ptr= NULL;
 
   free((unsigned char*) sort_info.key_block);

=== modified file 'plugin/myisam/mi_close.cc'
--- plugin/myisam/mi_close.cc	2010-11-06 19:38:41 +0000
+++ plugin/myisam/mi_close.cc	2011-06-30 07:03:08 +0000
@@ -58,8 +58,7 @@
   myisam_open_list.remove(info);
 
   void * rec_buff_ptr= mi_get_rec_buff_ptr(info, info->rec_buff);
-  if (rec_buff_ptr != NULL)
-    free(rec_buff_ptr);
+  free(rec_buff_ptr);
   if (flag)
   {
     if (share->kfile >= 0 &&

=== modified file 'plugin/myisam/mi_dynrec.cc'
--- plugin/myisam/mi_dynrec.cc	2011-02-17 00:14:13 +0000
+++ plugin/myisam/mi_dynrec.cc	2011-06-30 07:03:08 +0000
@@ -1505,8 +1505,7 @@
   if (info->s->base.blobs)
   {
     void * rec_buff_ptr= mi_get_rec_buff_ptr(info, info->rec_buff);
-    if (rec_buff_ptr != NULL)
-      free(rec_buff_ptr);
+    free(rec_buff_ptr);
     info->rec_buff=rec_buff;
   }
   free(old_record);

=== modified file 'plugin/myisam/mi_open.cc'
--- plugin/myisam/mi_open.cc	2011-04-20 22:18:30 +0000
+++ plugin/myisam/mi_open.cc	2011-06-30 07:03:08 +0000
@@ -504,8 +504,7 @@
   return(m_info);
 
 err:
-  if (disk_cache != NULL)
-    free(disk_cache);
+  free(disk_cache);
   save_errno=errno ? errno : HA_ERR_END_OF_FILE;
   if ((save_errno == HA_ERR_CRASHED) ||
       (save_errno == HA_ERR_CRASHED_ON_USAGE) ||

=== modified file 'plugin/myisam/sort.cc'
--- plugin/myisam/sort.cc	2011-06-16 20:59:51 +0000
+++ plugin/myisam/sort.cc	2011-06-30 07:03:08 +0000
@@ -227,8 +227,7 @@
   error =0;
 
 err:
-  if (sort_keys)
-    free((unsigned char*) sort_keys);
+  free(sort_keys);
   delete_dynamic(&buffpek);
   tempfile.close_cached_file();
   tempfile_for_exceptions.close_cached_file();
@@ -309,8 +308,7 @@
     {
       got_error=1;
       void * rec_buff_ptr= mi_get_rec_buff_ptr(info, sinfo->rec_buff);
-      if (rec_buff_ptr != NULL)
-        free(rec_buff_ptr);
+      free(rec_buff_ptr);
       continue;
     }
     if (!got_error)
@@ -334,8 +332,7 @@
     }
     free((unsigned char*) sinfo->sort_keys);
     void * rec_buff_ptr= mi_get_rec_buff_ptr(info, sinfo->rec_buff);
-    if (rec_buff_ptr != NULL)
-      free(rec_buff_ptr);
+    free(rec_buff_ptr);
     sinfo->sort_keys=0;
   }
 

=== modified file 'plugin/pbms/src/cslib/CSXML.cc'
--- plugin/pbms/src/cslib/CSXML.cc	2010-12-18 04:43:40 +0000
+++ plugin/pbms/src/cslib/CSXML.cc	2011-06-30 07:03:08 +0000
@@ -1414,8 +1414,7 @@
 
 void CSXMLString::setNull()
 {
-	if (stringPtr)
-		free(stringPtr);
+	free(stringPtr);
 	stringPtr = NULL;
 	stringLen = 0;
 	stringSize = 0;

=== modified file 'plugin/pbms/src/udf_ms.cc'
--- plugin/pbms/src/udf_ms.cc	2010-12-18 04:43:40 +0000
+++ plugin/pbms/src/udf_ms.cc	2011-06-30 07:03:08 +0000
@@ -354,8 +354,7 @@
 
 void pbms_update_blob_trig_deinit(UDF_INIT *initid)
 {
-	if (initid->ptr)
-		free(initid->ptr);
+	free(initid->ptr);
 }
 
 char *pbms_update_blob_trig(UDF_INIT *initid, UDF_ARGS *args,

=== modified file 'plugin/transaction_log/transaction_log_reader.cc'
--- plugin/transaction_log/transaction_log_reader.cc	2011-02-17 00:14:13 +0000
+++ plugin/transaction_log/transaction_log_reader.cc	2011-06-30 07:03:08 +0000
@@ -180,8 +180,7 @@
 
       previous_length= length;
     }
-    if (buffer)
-      free(buffer);
+    free(buffer);
     
     delete coded_input;
     delete raw_input;

=== modified file 'unittests/temporal_format_test.cc'
--- unittests/temporal_format_test.cc	2011-02-17 00:14:13 +0000
+++ unittests/temporal_format_test.cc	2011-06-30 07:03:08 +0000
@@ -47,10 +47,8 @@
 
   ~TemporalFormatTest()
   {
-    if (tf != NULL)
-      delete tf;
-    if (temporal != NULL)
-      delete temporal;
+    delete tf;
+    delete temporal;
   }
 };
 

